
use strict;
use warnings;



use ExtUtils::MakeMaker 6.30;



my %WriteMakefileArgs = (
  "ABSTRACT" => "An interface to Flattr's social micro-payment API",
  "AUTHOR" => "Tom Hukins <tom\@eborcom.com>",
  "BUILD_REQUIRES" => {
    "Test::More" => 0,
    "Test::NoWarnings" => 0
  },
  "CONFIGURE_REQUIRES" => {
    "ExtUtils::MakeMaker" => "6.30"
  },
  "DISTNAME" => "WebService-Flattr",
  "EXE_FILES" => [],
  "LICENSE" => "perl",
  "NAME" => "WebService::Flattr",
  "PREREQ_PM" => {
    "JSON" => 2,
    "LWP::Protocol::https" => 0,
    "LWP::UserAgent" => 0,
    "URI::QueryParam" => 0,
    "URI::Template" => 0
  },
  "VERSION" => "0.54",
  "test" => {
    "TESTS" => "t/*.t"
  }
);


unless ( eval { ExtUtils::MakeMaker->VERSION(6.56) } ) {
  my $br = delete $WriteMakefileArgs{BUILD_REQUIRES};
  my $pp = $WriteMakefileArgs{PREREQ_PM};
  for my $mod ( keys %$br ) {
    if ( exists $pp->{$mod} ) {
      $pp->{$mod} = $br->{$mod} if $br->{$mod} > $pp->{$mod};
    }
    else {
      $pp->{$mod} = $br->{$mod};
    }
  }
}

delete $WriteMakefileArgs{CONFIGURE_REQUIRES}
  unless eval { ExtUtils::MakeMaker->VERSION(6.52) };

WriteMakefile(%WriteMakefileArgs);



